> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send WhatsApp Audio

> Send WhatsApp Audio



## OpenAPI

````yaml openapi-v2 POST /message/sendWhatsAppAudio/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /message/sendWhatsAppAudio/{instance}:
    post:
      tags:
        - Message Controller
      summary: Send WhatsApp Audio
      description: Send WhatsApp Audio
      operationId: sendWhatsAppAudio
      parameters:
        - name: instance
          in: path
          required: true
          description: ID of the instance to connect
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - number
                - audio
              properties:
                number:
                  type: string
                  description: Number to receive the message (with country code)
                audio:
                  type: string
                  description: 'url or base64 '
                delay:
                  type: integer
                  description: Presence time in milliseconds before sending message
                linkPreview:
                  type: boolean
                  description: >-
                    Shows a preview of the target website if there's a link
                    within the message
                mentionsEveryOne:
                  type: boolean
                  description: Mentioned everyone when the message send
                mentioned:
                  type: array
                  items:
                    type: string
                    enum:
                      - '{{remoteJID}}'
                  description: Numbers to mention
                quoted:
                  type: object
                  properties:
                    key:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Quoted message ID
                    message:
                      type: object
                      properties:
                        conversation:
                          type: string
                          description: Quoted message content
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  key:
                    type: object
                    properties:
                      remoteJid:
                        type: string
                        description: The remote Jid.
                      fromMe:
                        type: boolean
                        description: Indicates whether the message was sent by the user.
                      id:
                        type: string
                        description: The ID of the message.
                    description: >-
                      The key of the message, which identifies the message in
                      the chat.
                  message:
                    type: object
                    properties:
                      audioMessage:
                        type: object
                        properties:
                          url:
                            type: string
                            description: The URL of the audio message.
                          mimetype:
                            type: string
                            description: The MIME type of the audio message.
                          fileSha256:
                            type: string
                            description: The SHA-256 hash of the audio file.
                          fileLength:
                            type: string
                            description: The length of the audio file.
                          seconds:
                            type: integer
                            description: The duration of the audio message in seconds.
                          ptt:
                            type: boolean
                            description: >-
                              Indicates whether the audio message is a
                              push-to-talk (PTT) message.
                          mediaKey:
                            type: string
                            description: The media key of the audio message.
                          fileEncSha256:
                            type: string
                            description: The SHA-256 hash of the encrypted audio file.
                          directPath:
                            type: string
                            description: The direct path to the audio file.
                          mediaKeyTimestamp:
                            type: string
                            description: The timestamp of the media key.
                        description: Details of the audio message.
                    description: >-
                      The message content, which may include various types of
                      messages like text, images, audio, etc.
                  messageTimestamp:
                    type: string
                    description: The timestamp of the message, represented as a string.
                  status:
                    type: string
                    description: >-
                      The status of the message, such as sent, received, or
                      pending.
                example:
                  key:
                    remoteJid: 553198296801@s.whatsapp.net
                    fromMe: true
                    id: BAE5EFED2AB0BB9F
                  message:
                    audioMessage:
                      url: >-
                        https://mmg.whatsapp.net/v/t62.7114-24/21428511_985284763127087_5662928...
                      mimetype: audio/mp4
                      fileSha256: DJPBnRns6QADzZNH2j0R88mUtFQ4aiOm9aZf6dio2G0=
                      fileLength: '670662'
                      seconds: 42
                      ptt: true
                      mediaKey: +A3X1Tuyzeh87cCVZpfuKpL3Y4RYdYr3sCDurjSlBTY=
                      fileEncSha256: s4tKvHOXIZAw5668/Xcy4zoFba4vW8klmNYC78yOPZs=
                      directPath: >-
                        /v/t62.7114-24/21428511_985284763127087_5662928477636351284_n.enc...
                      mediaKeyTimestamp: '1717776942'
                  messageTimestamp: '1717776942'
                  status: PENDING
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````